ZuploZuplo
LoginSign Up
  • Documentation
  • API Reference
Information
Analytics
    Get recent requests for a given deployment in the last 24 hoursgetGet statistics on requests by status code for a given deploymentget
API Keys - Buckets
    Lists bucketsgetCreates a bucketpostGets a bucketgetDeletes a bucketdeleteUpdates a bucketpatch
API Keys - Consumers
    Lists consumersgetCreates a consumerpostGets a consumergetDeletes a consumerdeleteUpdates a consumerpatchRoll consumer keyspost
API Keys - Keys
    Lists keysgetCreates an API keypostCreates multiple API keyspostGets an API keygetDeletes an API keydeleteUpdates an API keypatch
API Keys - Managers
    Lists managersgetCreates a managerpostDeletes a managerdelete
Audit Logs
    Query audit logsget
Build Logs
    Get build logsget
Client mTLS CA Certificates
    List Client mTLS CA CertificatesgetCreate Client mTLS CA CertificatepostDelete Client mTLS CA CertificatedeleteUpdate Client mTLS CA Certificatepatch
Custom Domains
    Get Custom DomainsgetCreate Custom DomainpostDelete a Custom DomaindeleteUpdate a Custom Domainpatch
Deployments
    Gets a deployment statusgetLists deploymentsgetUpload deployment sourcepostGet a deploymentgetDeletes a deploymentdeleteRe-deploy a deploymentpost
Environments
    Query environmentsgetGet an environmentget
MCP Servers
    API MCP ServerpostDocs MCP Serverpost
Metering - Features
    List featuresgetCreate featurepostGet featuregetDelete featuredelete
Metering - Meters
    List metersgetCreate meterpostGet metergetUpdate meterputDelete meterdeleteList meter group by valuesgetQuery metergetQuery meterpost
Metering - Plans
    List plansgetCreate a planpostGet plangetUpdate a planputDelete plandeleteArchive plan versionpostPublish planpost
Projects
    Create projectpost
Runtime Logs
    List request logsgetGet request log detailget
Tunnel Services
    Gets a provisioning statusgetGets a service configurationgetConfigures tunnel servicesput
Tunnels
    Lists tunnelsgetCreates a tunnelpostGets a tunnelgetDeletes a tunneldeleteRotates the tokenpostGets a teardown statusget
Variables
    Creates a variablepostUpdates a variablepatch
Other endpoints
    OpenAPI SpecificationgetLists accountsgetLists projectsgetWho Am Iget
Schemas
powered by Zudoku
Zuplo Developer API
Zuplo Developer API

Other endpoints


OpenAPI Specification

GET
https://dev.zuplo.com
/openapi

Returns the OpenAPI V3 spec for Zuplo's Developer API

OpenAPI Specification › Responses

200

The request has succeeded.

No data returned
GET/openapi
curl https://dev.zuplo.com/openapi
Example Responses
No example specified for this content type

Lists accounts

GET
https://dev.zuplo.com
/v1/accounts

Lists the accounts for the user or api key.

Lists accounts › Responses

The request has succeeded.

Zuplo.Accounts.AccountsList
​Zuplo.Accounts.Account[] · required
GET/v1/accounts
curl https://dev.zuplo.com/v1/accounts
Example Responses
{ "data": [ { "id": "103f832d-5331-42db-9d38-bbac05a68305", "name": "my-account", "label": "My Account" }, { "id": "b006949f-c71a-43d8-8533-92d8dedc5d1c", "name": "orange-fox" } ] }
json
application/json

Lists projects

GET
https://dev.zuplo.com
/v1/projects

Lists the projects by account.

Lists projects › query Parameters

accountName
​string

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

Lists projects › Responses

The request has succeeded.

Zuplo.Projects.ProjectsList
​Zuplo.Projects.Project[] · required
GET/v1/projects
curl https://dev.zuplo.com/v1/projects
Example Responses
{ "data": [ { "name": "lime-fox", "accountName": "chocolate_great_buzzard" }, { "name": "orange-fox", "accountName": "chocolate_great_buzzard" } ] }
json
application/json

Who Am I

GET
https://dev.zuplo.com
/v1/who-am-i

Returns basic information about the caller. Supports both API key and JWT authentication. The response always includes the subject identifier (sub). The account field is included when called with an API key, and email is included when called with a JWT that carries the email claim.

Who Am I › Responses

The request has succeeded.

Zuplo.WhoAmI.WhoAmI
sub
​string · required
account
​string
email
​string
GET/v1/who-am-i
curl https://dev.zuplo.com/v1/who-am-i
Example Responses
{ "account": "chocolate_blizzard_treat", "email": "user@example.com", "sub": "auth0|abc123" }
json
application/json

Variables